<?php

/**
 * @package     Joomla.System
 * @subpackage  plg_system_miniorangeoauth
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport( 'joomla.plugin.plugin' );


class plgSystemMiniorangedirsync extends JPlugin
{

	public function onAfterInitialise()
	{
		$get=JFactory::getApplication()->input->get->getArray();
    $post=JFactory::getApplication()->input->post->getArray();
      
    if (isset($post['ldap_feedback'])) {      
      $deactivate_plugin=$post['deactivate_plugin'];
      $query_feedback=$post['query_feedback'];
      $feedback_email=$post['feedback_email'];
           
			$db=JFactory::getDbo();
			$query=$db->getQuery(true);
			$query->update('#__miniorange_dirsync_config');
			$query->set($db->quoteName('uninstall_feedback') . '=1');
			$query->where($db->quoteName('id') . '=' . 1);
			$db->setQuery($query);
			$db->execute();
			
      $current_user=JFactory::getUser();     
			$db=JFactory::getDbo();
			$query=$db->getQuery(true);
			$query->select('*');
			$query->from($db->quoteName('#__miniorange_dirsync_config'));
			$query->where($db->quoteName('id')."=". $db->quote('1'));
			$db->setQuery($query);
			$customerResult=$db->loadAssoc();
			
			
      $admin_email=$customerResult['email'];
      $admin_phone=isset($customerResult['admin_phone'])?$customerResult['admin_phone']:'';
      $data=$deactivate_plugin . ' : ' . $query_feedback . '  <br><br> Email :  ' . $feedback_email;
      
      require_once JPATH_BASE . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_miniorange_dirsync' . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'mo_customer_setup.php';
      MoLdapCustomer::mo_ldap_submit_feedback_form($admin_email, $admin_phone, $data);
      require_once JPATH_SITE . DIRECTORY_SEPARATOR . 'libraries' . DIRECTORY_SEPARATOR . 'src' . DIRECTORY_SEPARATOR . 'Installer' . DIRECTORY_SEPARATOR . 'Installer.php';

      foreach ($post['result'] as $fbkey) {
                
				$db=JFactory::getDbo();
				$query=$db->getQuery(true);
				$query->select('type');
				$query->from($db->quoteName('#__extensions'));
				$query->where($db->quoteName('extension_id')."=". $db->quote($fbkey));
				$db->setQuery($query);
				$result=$db->loadAssoc();
				
			  $identifier=$fbkey;
        $type=0;
				if($result)
          foreach ($result as $results) {
            $type=$results;
        }
				
        if ($type) {
          $cid=0;
          $installer=new JInstaller();
          $installer->uninstall($type, $identifier, $cid);
        }
      }
    }
	}


	
	function onExtensionBeforeUninstall($id)
    {
      $post=JFactory::getApplication()->input->post->getArray();
      $tables=JFactory::getDbo()->getTableList();
    
		  $db=JFactory::getDbo();
		  $query=$db->getQuery(true);
		  $query->select('extension_id');
		  $query->from($db->quoteName('#__extensions'));
		  $query->where($db->quoteName('name')."=". $db->quote('COM_MINIORANGE_DIRSYNC'));
		  $db->setQuery($query);
		  $result=$db->loadAssoc();
		
		
      $tables=JFactory::getDbo()->getTableList();
      $tab=0;
      foreach ($tables as $table) {
        if (strpos($table, "miniorange_dirsync_config"))
          $tab=$table;
      }

      if ($tab) {
            
			  $db=JFactory::getDbo();
			  $query=$db->getQuery(true);
			  $query->select('*');
			  $query->from($db->quoteName('#__miniorange_dirsync_config'));
			  $query->where($db->quoteName('id')."=1");
			  $db->setQuery($query);
			  $fid=$db->loadAssoc();
            
        $fid=$fid['uninstall_feedback'];
        $tpostData=$post;
			
        if ($fid==0) {
          foreach ($result as $results) {	
            if ($results==$id) {
        require_once JPATH_BASE . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_miniorange_dirsync' . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'mo_dirsync_utility.php';
        MoDirsyncUtility::mo_ldap_feedback_form($tpostData);?>

                            <?php
                            exit;
                    }
                }
            }
        }
    }
		
}

